package com.glxp.mipsdl.entity.ctqyy;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class MaterialDictEntity {

    /**
     * 操作类型
     * 1新增
     * 2修改
     * 9作废
     */
    private Integer operatType;
    /**
     * 物资名称
     */
    private String materialName;
    /**
     * 高值耗材标志
     * 1高值，0低值
     */
    private Integer costlySign;
    /**
     * 物资码
     * 高值，不能为空
     */
    private String materialMasterCode;
    /**
     * HIS物资编码
     * 新增可为空，修改和作废不能为空
     */
    private String hisMaterialCode;
    /**
     * 物资规格
     */
    private String materialSpec;
    /**
     * 物资单位
     */
    private String materialUnit;
    /**
     * 进货价
     */
    private BigDecimal importPrice;
    /**
     * 零售价
     */
    private BigDecimal retailPrice;
    /**
     * 生产厂家代码
     */
    private String factoryCode;
    /**
     * 生产厂家名称
     */
    private String factoryName;
    /**
     * 供应商代码
     */
    private String supplierCode;
    /**
     * 供应商名称
     */
    private String supplierName;
    /**
     * 医保编码
     */
    private String insuranceCode;
    /**
     * 注册证件号
     */
    private String regeditNo;
    /**
     * 中标标志
     */
    private Integer publicFlag;
    /**
     * 价项科目码
     */
    private String priceItemClass;
    /**
     * 收费标志
     */
    private Integer feeFlag;


    /**
     * 系统返回物资编码
     * materialNo
     */
    private String materialNo;

}
